Subject: Re: [PATCH v3 2/6] cherry-pick/revert: honour --no-gpg-sign in all case

From: Danh Doan <[email-masked]>
Date: Fri, 3 Apr 2020 21:26:08 +0700

On 2020-04-03 14:43:05+0100, Phillip Wood <[email-masked]> wrote:
> Hi Đoàn
> 
> On 03/04/2020 11:28, Đoàn Trần Công Danh wrote:
> > {cherry-pick,revert} --edit hasn't honoured --no-gpg-sign yet.
> > 
> > Pass this option down to git-commit to honour it.
> 
> I did wonder if try_to_commit() needed any changes as we do not fork 'git
> commit' unless the message is being edited but the tests seem to cover that
> case. It might be worth checking the code just to be sure if you haven't
> done so already.

try_to_commit pass opts->gpg_sign to commit_tree_extended (sequencer.c:1413)

if "--edit" was passed into cherry-pick and/or revert (--edit is
default if revert run in tty), sequencer.c will run git-commit just
6 lines above it.

-- 
Danh